## thunderbird 128.14.0esr

=== debian/changelog ===
thunderbird (1:128.14.0esr-1~deb13u1) trixie-security; urgency=medium

  * Rebuild for trixie-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Aug 2025 18:37:18 +0200

thunderbird (1:128.14.0esr-1) unstable; urgency=medium

  * [4f3d4b8] New upstream version 128.14.0esr
    Fixed CVE issues in upstream version 128.14 (MFSA 2025-71):
    CVE-2025-9179: Sandbox escape due to invalid pointer in the
                   Audio/Video: GMP component
    CVE-2025-9180: Same-origin policy bypass in the Graphics: Canvas2D
                   component
    CVE-2025-9181: Uninitialized memory in the JavaScript Engine component
    CVE-2025-9185: Memory safety bugs fixed in Firefox ESR 115.27, Firefox ESR
                   128.14, Thunderbird ESR 128.14, Firefox ESR 140.2,
                   Thunderbird ESR 140.2, Firefox 142 and Thunderbird 142

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Aug 2025 17:45:12 +0200

thunderbird (1:128.7.0esr-1) unstable; urgency=medium

  * [6914065] Revert "d/rules: Move/rename third party Python modul temporarly"
    (Closes: #1093362)
  * [4a9ef4c] New upstream version 128.7.0esr
    Fixed CVE issues in upstream version 128.7 (MFSA 2025-10):
    CVE-2025-1009: Use-after-free in XSLT
    CVE-2025-1010: Use-after-free in Custom Highlight
    CVE-2025-1011: A bug in WebAssembly code generation could result in a
                   crash
    CVE-2025-1012: Use-after-free during concurrent delazification
    CVE-2024-11704: Potential double-free vulnerability in PKCS#7 decryption
                    handling
    CVE-2025-1013: Potential opening of private browsing tabs in normal
                   browsing windows
    CVE-2025-1014: Certificate length was not properly checked
    CVE-2025-1015: Unsanitized address book fields
    CVE-2025-0510: Address of e-mail sender can be spoofed by malicious email
    CVE-2025-1016: Memory safety bugs fixed in Firefox 135, Thunderbird 135,
                   Firefox ESR 115.20, Firefox ESR 128.7, Thunderbird 115.20,
                   and Thunderbird 128.7
    CVE-2025-1017: Memory safety bugs fixed in Firefox 135, Thunderbird 135,
                   Firefox ESR 128.7, and Thunderbird 128.7

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 22 Feb 2025 10:22:44 +0100

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 bash-completion,
 bzip2,
 cargo (>= 0.66),
 cbindgen (>= 0.26.0),
 clang,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.5.1~),
# libicu-dev (>= 72.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libnspr4-dev (>= 2:4.32~),
 libnss3-dev (>= 2:3.97~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librnp-dev (>= 0.17.0),
 librust-toml-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.10.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nasm,
 nodejs (>= 12.22.0),
 python3,
 rustc (>= 1.66),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.7.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el ppc64 riscv64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 libotr5t64,
 librnp0 (>= 0.17.0),
 psmisc,
 x11-utils | kdialog | zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-af (>= ${binary:Version}),
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-ca (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-es-mx (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-lv (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-th (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-af
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:af
Recommends:
 hunspell-af,
Description: Africaans language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Africaans.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Czech.

Package: thunderbird-l10n-cy
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cy
Description: Welsh language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Welsh.

Package: thunderbird-l10n-da
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif
ifeq ($(DEB_BUILD_ARCH),ppc64el)
	# Work around upstream bug 1757271
	CFLAGS += -DSQLITE_BYTEORDER=1234
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

MOZ_ENABLE_V4L2 = 0
MOZ_ENABLE_VAAPI = 0
ifneq (,$(filter arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter amd64 arm64 i386,$(DEB_BUILD_ARCH)))
	MOZ_ENABLE_VAAPI = 1
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
export MOZ_ENABLE_V4L2
export MOZ_ENABLE_VAAPI
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)
	rm -rf $(MOZBUILD_STATE_PATH)

override_dh_auto_configure:
	# copy the mozconfig files in place
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		for package in `grep -e \
			'Package: thunderbird-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:
	dh_missing \
	-X usr/bin/thunderbird \
	-X usr/lib/thunderbird/crashreporter \
	-X usr/lib/thunderbird/glxtest \
	-X usr/lib/thunderbird/minidump-analyzer \
	-X usr/lib/thunderbird/pingsender \
	-X usr/lib/thunderbird/Throbber-small.gif \
	-X usr/lib/thunderbird/vaapitest \
	$(NULL)

override_dh_dwz:
	# Don't use dwz for now, it fails with:

## thunderbird 128.14.0esr+linuxmint1+zara

=== debian/changelog ===
thunderbird (1:128.14.0esr+linuxmint1+zara) unstable; urgency=medium

  * 128.14.0esr

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Aug 2025 21:23:32 +0100

thunderbird (1:128.13.0esr+linuxmint1) unstable; urgency=medium

  * 128.13.0esr

 -- Linux Mint <root@linuxmint.com>  Wed, 23 Jul 2025 18:14:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@

override_dh_auto_install:
	$(CURDIR)/gen-control.py $(DEB_HOST_ARCH) $(CURDIR) $(DEB_VERSION)
	rm -rf $(CURDIR)/debian/thunderbird*
	$(CURDIR)/download.py $(DEB_HOST_ARCH) $(CURDIR) $(DEB_VERSION)
	cp -r $(CURDIR)/usr $(CURDIR)/debian/thunderbird/
	dh_install

override_dh_auto_configure:
override_dh_auto_build:
override_dh_strip_nondeterminism:
override_dh_auto_strip:
override_dh_dwz:
override_dh_shlibdeps:

## thunderbird 135.0

=== debian/changelog ===
thunderbird (1:135.0-1) experimental; urgency=medium

  * [bdcaf66] Revert "d/rules: Move/rename third party Python modul temporarly"
    (Closes: #1093362)
  * [e33e9d8] New upstream version 135.0
  * [e68ae48] rebuild patch queue from patch-queue branch
    modified patches:
    porting-mips64el/skia-Disable-musttail-on-mips64.patch
    porting-ppc64el/Work-around-GCC-ICE-on-ppc64el.patch
    thunderbird-l10n/sl-change-Edit-Uredi-to-CTRL-E.patch
    obsolete patches (fixed upstream):
    porting-ppc64el/skia-Disable-musttail-on-ppc64el.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 10 Feb 2025 09:17:32 +0100

thunderbird (1:132.0~b6-1) experimental; urgency=medium

  * [282778e] d/changelog: Correct small typo
  * [b5b363b] New upstream version 132.0~b6
  * [7e23518] d/control: Bump various B-D versions, drop non needed
  * [f979f8f] d/thunderbird.postinst: Correct misspelled THUNDERBIRD_LIBDIR
    (Closes: #1082842)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Nov 2024 20:15:15 +0100

thunderbird (1:130.0~b3-1) experimental; urgency=medium

  * [041e622] d/control: Fix short description for thunderbird-l10n-lv
    (Closes: #1079029)
  * [820aec2] New upstream version 130.0~b3
  * [628eb92] d/control: Readd dependencies on librnp{0,-dev}
  * [8e6b0e8] d/rules: Move/rename third party Python modul temporary
  * [ee4c48d] d/source.filter: Exclude some JS files from exclusion

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Sep 2024 12:28:24 +0200

thunderbird (1:129.0~b6-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [5ee74f4] d/watch: Now watch out for 'esr' suffixed versions
  * [8e4b85a] d/thunderbird.desktop: Update data with upstream data
    (Closes: #1042912, #1051261)
  * [a0e3d2e] New upstream version 129.0~b6
  * [0b12902] d/control: Drop B-D on libdbus-glib-1-dev
    (Closes: #955955)
  * [cf730a8] d/create-upstream-tarballs.py: Ignore version 129.0
  * [0528b45] d/s/lintian-overrides: Update some overrides

  [ Michael Weghorn ]
  * [e4d3be0] Use app ID that matches the desktop file name
    (Closes: #1022037)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 09 Aug 2024 21:01:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,12 @@
 Build-Depends:
  bash-completion,
  bzip2,
- cargo (>= 0.66),
+ cargo (>= 1.80.1),
  cbindgen (>= 0.26.0),
  clang,
  debhelper-compat (= 13),
  dh-apparmor,
  dh-exec,
- dpkg (>= 1.16.18~),
- dpkg-dev (>= 1.16.18~),
  libasound2-dev [linux-any],
  libatk-adaptor,
  libcairo2-dev (>= 1.10.2-1.1~),
@@ -30,7 +28,7 @@
  libiw-dev [linux-any],
  libnotify-dev,
  libnspr4-dev (>= 2:4.32~),
- libnss3-dev (>= 2:3.97~),
+ libnss3-dev (>= 2:3.105~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
@@ -48,20 +46,19 @@
  nasm,
  nodejs (>= 12.22.0),
  python3,
- rustc (>= 1.66),
+ rustc (>= 1.80.1),
  unzip,
- yasm (>= 1.1),
  zip,
  zlib1g-dev,
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
-Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/experimental
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/experimental/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
-Standards-Version: 4.7.1
+Standards-Version: 4.7.0
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el ppc64 riscv64
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64 riscv64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
@@ -349,3 +346,5 @@
 
 Package: thunderbird-l10n-da
 Architecture: all
+Section: localization
+Depends:

## thunderbird 138.0

=== debian/changelog ===
thunderbird (1:138.0-1) experimental; urgency=medium

  * [870fc65] New upstream version 138.0
  * [cc0885e] rebuild patch queue from patch-queue branch
    added patches:
    debian-hacks/Downgrade-cbindgen-requirement.patch
  * [f7487ae] d/control: bump cbindgen build dependency
  * [61f6d95] d/thunderbird.install: install interesting_serverknobs.json file

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 02 May 2025 08:53:44 +0200

thunderbird (1:137.0-1) experimental; urgency=medium

  * [148e2f7] New upstream version 137.0

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 04 Apr 2025 09:38:10 +0200

thunderbird (1:136.0-1) experimental; urgency=medium

  * [3f06ac7] New upstream version 136.0

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 08 Mar 2025 09:58:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  bash-completion,
  bzip2,
  cargo (>= 1.80.1),
- cbindgen (>= 0.26.0),
+ cbindgen (>= 0.27.0),
  clang,
  debhelper-compat (= 13),
  dh-apparmor,

## thunderbird 140.0.1esr

=== debian/changelog ===
thunderbird (1:140.0.1esr-1) experimental; urgency=medium

  [ Christoph Goehre ]
  * [259f52c] New upstream version 140.0.1esr (Closes: #1109451)
  * [a5a86f3] rebuild patch queue from patch-queue branch
    obsolete patches (fixed upstream):
    debian-hacks/Downgrade-cbindgen-requirement.patch
  * [fe04434] d/rules, d/thunderbird.install: ignore additional binary
    crashhelper for now

  [ Alessandro Astone ]
  * [f5a46a4] Update rule to drop dependency on gtk2 with the new t64 package
    name

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 21 Jul 2025 12:01:55 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif
ifeq ($(DEB_BUILD_ARCH),ppc64el)
	# Work around upstream bug 1757271
	CFLAGS += -DSQLITE_BYTEORDER=1234
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

MOZ_ENABLE_V4L2 = 0
MOZ_ENABLE_VAAPI = 0
ifneq (,$(filter arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter amd64 arm64 i386,$(DEB_BUILD_ARCH)))
	MOZ_ENABLE_VAAPI = 1
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
export MOZ_ENABLE_V4L2
export MOZ_ENABLE_VAAPI
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)
	rm -rf $(MOZBUILD_STATE_PATH)

override_dh_auto_configure:
	# copy the mozconfig files in place
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0t64

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		for package in `grep -e \
			'Package: thunderbird-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:
	dh_missing \
	-X usr/bin/thunderbird \
	-X usr/lib/thunderbird/crashreporter \
	-X usr/lib/thunderbird/crashhelper \
	-X usr/lib/thunderbird/glxtest \
	-X usr/lib/thunderbird/minidump-analyzer \
	-X usr/lib/thunderbird/pingsender \
	-X usr/lib/thunderbird/Throbber-small.gif \
	-X usr/lib/thunderbird/vaapitest \
	$(NULL)

override_dh_dwz:
	# Don't use dwz for now, it fails with:

## thunderbird 140.1.0esr

=== debian/changelog ===
thunderbird (1:140.1.0esr-1) experimental; urgency=medium

  [ Christoph Goehre ]
  * [7ac28d3] d/rules: export 'Clto=thin' on i386 to stay in the memory budged
    Added patch:
    debian-hacks/Allow-to-override-rust-LTO-flag.patch

  [ Carsten Schoenert ]
  * [2ed0df2] d/create-upstream-tarballs.py: Use the real CDN URL
  * [82f0f9e] New upstream version 140.1.0esr
  * [fb16995] Rebuild patch queue from patch-queue branch
    Added patch:
    porting-ppc64el/skia-Adjust-detection-of-ppc64-architecture.patch
  * [ad0c4b4] d/control: Increase Standards-Version to 4.7.2
    No further changes needed.
  * [dc57502] d/copyright: Update content due upstream changes
  * [3e8fe05] d/s/lintian-overrides: Update data due upstream changes
  * [4378ab3] d/t-lintian-overrides: Update due build changes

  [ John Paul Adrian Glaubitz ]
  * [cb1ed45] d/rules: Use gcc and g++ on ppc64
    (Closes: #1109861)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Jul 2025 16:17:59 +0200

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
 Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/experimental/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 
 Package: thunderbird
 Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64 riscv64

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,11 @@
 	CFLAGS += -DSQLITE_BYTEORDER=1234
 endif
 
+ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
+	CC := gcc
+	CXX := g++
+endif
+
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
@@ -68,6 +73,11 @@
 endif
 ifneq (,$(filter amd64 arm64 i386,$(DEB_BUILD_ARCH)))
 	MOZ_ENABLE_VAAPI = 1
+endif
+
+# Use thinLTO on i386, to stay in the memory budget.
+ifeq (i386,$(DEB_BUILD_ARCH))
+export DEBIAN_RUST_LTO=-Clto=thin
 endif
 
 # Add execution time and memory usage stats in the logs
@@ -204,10 +214,3 @@
 	-X usr/lib/thunderbird/crashhelper \
 	-X usr/lib/thunderbird/glxtest \
 	-X usr/lib/thunderbird/minidump-analyzer \
-	-X usr/lib/thunderbird/pingsender \
-	-X usr/lib/thunderbird/Throbber-small.gif \
-	-X usr/lib/thunderbird/vaapitest \
-	$(NULL)
-
-override_dh_dwz:
-	# Don't use dwz for now, it fails with:

## thunderbird 140.1.1esr

=== debian/changelog ===
thunderbird (1:140.1.1esr-1) experimental; urgency=medium

  * [e6e4d2d] d/source.filter: Update content to filter out
  * [4b7d308] New upstream version 140.1.1esr
  * [472919e] d/rules: Add target for NSS and NSPR versions
  * [3e7b6b0] d/control: Bump B-D for libnss3-dev

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Aug 2025 11:33:46 +0200

## thunderbird 140.2.0esr

=== debian/changelog ===
thunderbird (1:140.2.0esr-1) experimental; urgency=medium

  [ Christoph Goehre ]
  * [3449bf5] d/rules: export CC and CXX definitions on ppc64
    This is a follow-up fix for [cb1ed45].

  [ Carsten Schoenert ]
  * [2e811f6] d/watch: Migrate to version 5
  * [ddad9bc] New upstream version 140.2.0esr

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Aug 2025 13:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libiw-dev [linux-any],
  libnotify-dev,
  libnspr4-dev (>= 2:4.32~),
- libnss3-dev (>= 2:3.105~),
+ libnss3-dev (>= 2:3.112~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,

=== debian/watch ===
Version: 5

Source: https://download-origin.cdn.mozilla.net/pub/thunderbird/releases/([\d\.]+)esr/source/
Matching-Pattern: thunderbird[\.-]([\d\.]+)esr.source\.tar\.xz

## thunderbird 140.3.0esr

=== gfx/wr/ci-scripts/requirements.txt ===
mako==1.2.4
six

=== debian/changelog ===
thunderbird (1:140.3.0esr-1~deb12u1) bookworm-security; urgency=medium

  * Team upload.
  * Backport to bookworm.
  * Don't use system nss, it's too old
  * Use rustc-web, cargo-web and cbindgen-web
  * Build with LLVM 19
  * Fix linker memory issues when building on bookworm/amd64
  * Drop t64 suffix from libotr5 dependency
  * Use bundled librnp, the system one is too old
  * Disable SVE2 support on arm64

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 25 Sep 2025 11:23:14 +0200

thunderbird (1:140.3.0esr-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [de64a72] d/watch: Mangle 'esr' suffix from version
  * [85543ab] New upstream version 140.3.0esr
    Fixed CVE issues in upstream version 140.3 (MFSA 2025-78):
    CVE-2025-10527: Sandbox escape due to use-after-free in the Graphics:
                    Canvas2D component
    CVE-2025-10528: Sandbox escape due to undefined behavior, invalid pointer
                    in the Graphics: Canvas2D component
    CVE-2025-10529: Same-origin policy bypass in the Layout component
    CVE-2025-10532: Incorrect boundary conditions in the JavaScript:
                    GC component
    CVE-2025-10533: Integer overflow in the SVG component
    CVE-2025-10536: Information disclosure in the Networking: Cache component
    CVE-2025-10537: Memory safety bugs fixed in Firefox ESR 140.3,
                    Thunderbird ESR 140.3, Firefox 143 and Thunderbird 143
    (Closes: #1115605)
  * [3eaeb85] Rebuild patch queue from patch-queue branch
  * [d19a5fe] d/control: Remove Rules-Requires-Root

  [ Carles Pina i Estany ]
  * [cb04a1d] d/control: Drop Recommends on thunderbird-l10n-fi
    (Closes: #1115457)

  [ Dandan Zhang ]
  * [a7b32fa] d/control: Adding loong64 architecture
    (Closes: #1059966)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Sep 2025 09:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends:
  bash-completion,
  bzip2,
- cargo (>= 1.80.1),
- cbindgen (>= 0.27.0),
- clang,
+ cargo-web (>= 1.80.1),
+ cbindgen-web (>= 0.27.0),
+ clang-19,
  debhelper-compat (= 13),
  dh-apparmor,
  dh-exec,
  libasound2-dev [linux-any],
  libatk-adaptor,
  libcairo2-dev (>= 1.10.2-1.1~),
- libclang-dev,
+ libclang-19-dev,
  libevent-dev (>= 1.4.1),
  libffi-dev,
  libfontconfig-dev,
@@ -28,11 +28,11 @@
  libiw-dev [linux-any],
  libnotify-dev,
  libnspr4-dev (>= 2:4.32~),
- libnss3-dev (>= 2:3.112~),
+# libnss3-dev (>= 2:3.112~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
- librnp-dev (>= 0.17.0),
+# librnp-dev (>= 0.17.0),
  librust-toml-dev,
  libstartup-notification0-dev,
  libvpx-dev (>= 1.10.0),
@@ -41,29 +41,28 @@
  libxau-dev,
  libxft-dev,
  libxt-dev,
- llvm-dev,
+ llvm-19-dev,
  mesa-common-dev,
  nasm,
  nodejs (>= 12.22.0),
  python3,
- rustc (>= 1.80.1),
+ rustc-web (>= 1.80.1),
  unzip,
  zip,
  zlib1g-dev,
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/experimental
-Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/experimental/
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
 Standards-Version: 4.7.2
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64 riscv64
+Architecture: amd64 arm64 i386 loong64 mips64el ppc64el ppc64 riscv64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
- libotr5t64,
- librnp0 (>= 0.17.0),
+ libotr5,
+# librnp0 (>= 0.17.0),
  psmisc,
  x11-utils | kdialog | zenity,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -45,26 +45,26 @@
 	# Work around upstream bug 1757271
 	CFLAGS += -DSQLITE_BYTEORDER=1234
 endif
+ifeq ($(DEB_HOST_ARCH),arm64)
+	CXXFLAGS += -DLIBYUV_DISABLE_SVE
+endif
 
 ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
 	CC := gcc
 	CXX := g++
+	export CC
+	export CXX
 endif
 
 # Reduce memory usage of the linker at the expense of processing time
 # This should help on lower-end architectures like arm and mips, which
 # spend an immense amount of time swapping.
 LDFLAGS += -Wl,--reduce-memory-overheads
+# Work around for https://sourceware.org/bugzilla/show_bug.cgi?id=30566
+ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
 LDFLAGS += -Wl,--no-keep-memory
+endif
 LDFLAGS += -Wl,--as-needed
-
-# Make the linker generate compressed debug sections. dh_strip would do
-# the same anyways, but it allows elfhack to work in combination with
-# unstripped binaries when they would normally be larger than 2GiB.
-# Doing this only on 64bit architectures.
-ifeq (64,$(DEB_BUILD_ARCH_BITS))
-	LDFLAGS += -Wl,--compress-debug-sections=zlib
-endif
 
 MOZ_ENABLE_V4L2 = 0
 MOZ_ENABLE_VAAPI = 0
@@ -98,6 +98,7 @@
 export MOZ_ENABLE_VAAPI
 # Some Debian build tools clear out some variables
 export SHELL=/bin/bash
+export PATH := /usr/lib/llvm-19/bin/:$(PATH)
 # Work around https://github.com/rust-lang/cargo/issues/7147
 export CARGO_HOME=$(CURDIR)/debian/.cargo
 export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
@@ -214,3 +215,5 @@
 	-X usr/lib/thunderbird/crashhelper \
 	-X usr/lib/thunderbird/glxtest \
 	-X usr/lib/thunderbird/minidump-analyzer \
+	-X usr/lib/thunderbird/pingsender \
+	-X usr/lib/thunderbird/Throbber-small.gif \
